* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
}

:root {
    --first-color: #333;
    --second-color: #555;
    --font-color: white
}

.bi {
    color: var(--font-color);
    cursor: pointer;
    padding: 0.3rem;
}

.bi:hover {
    background-color: var(--second-color);
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--first-color);
    color: var(--font-color);
}

.brand-title {
    font-size: 1.5rem;
    margin: .5rem;
}

.navbar-links ul {
    margin: 0;
    padding: 0;
    display: flex;
}

.navbar-links li {
    list-style: none;
}

.navbar-links li a {
    text-decoration: none;
    color: var(--font-color);
    padding: 0.7rem;
    display: block;
}

.navbar-links li:hover {
    background-color: var(--second-color);
}

.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
}

@media (max-width: 768px) {
    .toggle-button {
        display: flex;
    }

    .navbar-links {
        width: 100%;
        display: none;
    }

    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .navbar-links ul {
        width: 100%;
        flex-direction: column;
    }

    .navbar-links li {
        text-align: center;
    }

    .navbar-links li a {
        padding: .5rem 1rem;
    }

    .navbar-links.active {
        display: flex;
    }
}